const ServiceBase = require("../../sve.base");
class ProductService extends ServiceBase {
  constructor() {
    super("product", ServiceBase.getDaoName(ProductService));
  }

  async getPage (page, offset, type) {
    return await this.dao.getPage(page, offset, type)
  }

  async getAllDic (type) {
    return await this.dao.getAllDic(type)
  }

  async getByIds (ids) {
    return await this.dao.getByIds(ids)
  }

  async getItems (id) {
    // TODO: relation
  }

  async createOrUpdate (params) {
    // TODO: 
  }
}
module.exports = ProductService;